Bug 17028 - request.pl is vulnerable to XSS attacks
Summary: request.pl is vulnerable to XSS attacks
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 14568
  Show dependency treegraph
 
Reported: 2016-08-02 14:40 UTC by Jonathan Druart
Modified: 2019-06-27 09:24 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17028: Fix XSS in reserve/request.pl (901 bytes, patch)
2016-08-02 14:46 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17028: Fix XSS in reserve/request.pl (958 bytes, patch)
2016-08-03 05:22 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 17028: Fix XSS in reserve/request.pl (1.00 KB, patch)
2016-08-03 21:19 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-08-02 14:40:21 UTC

    
Comment 1 Jonathan Druart 2016-08-02 14:46:03 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2016-08-03 05:22:22 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-08-03 21:19:39 UTC
Created attachment 53972 [details] [review]
[PASSED QA] Bug 17028: Fix XSS in reserve/request.pl

Test plan:
Hit
  /cgi-bin/koha/reserve/request.pl?biblionumber=1"><script type="text/javascript">alert("XSS")</script>

=> Without this patch you will see the alert
=> With this patch, no more alert

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Brendan Gallagher 2016-08-04 18:13:14 UTC
Pushed to Master - Should be in the November 2016 release.  Thanks!
Comment 5 Frédéric Demians 2016-08-05 06:06:48 UTC
Pushed in 16.05. Will be in 16.05.03.
Comment 6 Chris Cormack 2016-08-08 06:55:54 UTC
Pushed to 3.20.x will be in 3.20.14
Comment 7 Julian Maurice 2016-08-17 12:15:05 UTC
Patches pushed to 3.22.x, will be in 3.22.10